- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchCreate#body.BatchCreateDaiEncodingProfilesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchCreate#body.aspect)
- [CreateDaiEncodingProfileRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchCreate#CreateDaiEncodingProfileRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchCreate#CreateDaiEncodingProfileRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchCreate#try-it)

Batch creates `DaiEncodingProfile` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/daiEncodingProfiles:batchCreate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `DaiEncodingProfiles` will be created. Format: `networks/{networkCode}` The parent field in the CreateDaiEncodingProfileRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchCreate#CreateDaiEncodingProfileRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchCreate#CreateDaiEncodingProfileRequest`)`` Required. The `DaiEncodingProfile` objects to create. A maximum of 100 objects can be created in a batch. |

### Response body

Response object for `daiEncodingProfiles.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "daiEncodingProfiles": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles#DaiEncodingProfile`) } ] } ``` |

| Fields ||
|---|---|
| `daiEncodingProfiles[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles#DaiEncodingProfile`)`` The `DaiEncodingProfile` objects created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateDaiEncodingProfileRequest

Request object for `daiEncodingProfiles.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "daiEncodingProfile": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles#DaiEncodingProfile`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent resource where this `DaiEncodingProfile` will be created. Format: `networks/{networkCode}` |
| `daiEncodingProfile` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles#DaiEncodingProfile`)`` Required. The `DaiEncodingProfile` to create. |